petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDAGetInterpolationType

Gets the type of interpolation that will be used by DMCreateInterpolation()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAGetInterpolationType(DM da,DMDAInterpolationType *ctype)

Not Collective Many br

### Input Parameter

da - distributed array Many br

### Output Parameter

ctype - interpolation type (DMDA_Q1 and DMDA_Q0 are currently the only supported forms) Many br

Many br

### Keywords

distributed array, interpolation

### See Also

DMDA, DMDAInterpolationType, DMDASetInterpolationType(), DMCreateInterpolation()

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages